Get placement
curl --request GET \
--url https://reservation.nks.europe-west4.nscale.com/api/v2/placements/{placementID} \
--header 'Authorization: Bearer <token>'import requests
url = "https://reservation.nks.europe-west4.nscale.com/api/v2/placements/{placementID}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://reservation.nks.europe-west4.nscale.com/api/v2/placements/{placementID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"id": "b8ce034e-fccb-4d6c-a0e0-af3e3f346715",
"name": "training-workers",
"organizationId": "9a8c6370-4065-4d4a-9da0-7678df40cd9d",
"projectId": "e36c058a-8eba-4f5b-91f4-f6ffb983795c",
"creationTime": "2026-04-28T11:03:12Z",
"createdBy": "john.doe@example.com",
"provisioningStatus": "pending",
"healthStatus": "healthy",
"tags": [
{
"name": "workload",
"value": "training"
}
]
},
"spec": {
"count": 8,
"serverSpec": {
"imageId": "ubuntu-24.04",
"sshCertificateAuthorityId": "00de8f3c-77d6-424a-93c3-baf9153c7f21",
"networking": {
"securityGroups": [
"7ddfdbf0-bdbf-4630-9220-f1e6876f2dd0"
]
}
},
"constraints": {
"policy": "spread",
"maxSkew": 1,
"minDomains": 3,
"whenUnsatisfiable": "fail"
}
},
"status": {
"regionId": "c7568e2d-f9ab-453d-9a3a-51375f78426b",
"reservationId": "a64f9269-36e0-4312-b8d1-52d93d569b7b",
"networkId": "61f0ad85-3001-41cb-824a-e6a047668dfe",
"readyHostCount": 0
}
}{
"error": "invalid_request",
"error_description": "request body invalid",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "access_denied",
"error_description": "authentication failed",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "forbidden",
"error_description": "user credentials do not have the required privileges",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "not_found",
"error_description": "the requested resource does not exist",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "server_error",
"error_description": "failed to token claim",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}Placements
Get placement
Get a placement.
GET
/
api
/
v2
/
placements
/
{placementID}
Get placement
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The placement ID. A Kubernetes name. Must be a valid DNS label containing only lower case characters, numbers or hyphens, start and end with a character or number, and be at most 63 characters in length.
Required string length:
1 - 63Was this page helpful?
⌘I